///****************************************************************************
//// Name:        DFTTSSampleObjectiveC with DFTTS Desktop SDK v 3.5.0
//// Purpose:
//// Author:      Digital Future
//// Modified by:
//// Created:     07/12/2008
//// RCS-ID:
//// Copyright:   (C) Digital Future 2008. All rights reserved.
//// License:     see license document
//***************************************************************************/

#import <Cocoa/Cocoa.h>

#include "dftts.h"

@interface DFTTSSampleObjC : NSObject {

	
	IBOutlet NSButton *speakButton;

	IBOutlet NSButton *pauseResButton;

	IBOutlet NSButton *stopButton;
	
	IBOutlet NSButton *exportButton;	
	
	IBOutlet NSTextField* textBox;
	
	IBOutlet NSPopUpButton* popupVoiceButton;
	
	IBOutlet NSWindow* mainWindow;
	
	bool isPaused;
	
	bool isSpeaking;
	
}

- (void)awakeFromNib;

- (IBAction)onSpeak:(id)sender;

- (IBAction)onPauseResume:(id)sender;

- (IBAction)onStop:(id)sender;

- (IBAction)onExport:(id)sender;

@end
