Attribute VB_Name = "Module1"
'///****************************************************************************
'//// Name:        DFTTSSampleVB6 with DFTTS Desktop SDK v 3.5.0
'//// Purpose:
'//// Author:      Digital Future
'//// Modified by:
'//// Created:     06/10/2008
'//// RCS-ID:
'//// Copyright:   (C) Digital Future 2007-2008. All rights reserved.
'//// Licence:     see license document
'//***************************************************************************/

'The Windows Message Hook

Public Declare Function CallWindowProc Lib "user32" _
                Alias "CallWindowProcA" _
                (ByVal lpPrevWndFunc As Long, _
                 ByVal hwnd As Long, ByVal Msg As Long, _
                 ByVal wParam As Long, _
                 ByVal lParam As Long) As Long

Public Declare Function SetWindowLong Lib "user32" _
                Alias "SetWindowLongA" _
                (ByVal hwnd As Long, _
                 ByVal nIndex As Long, _
                 ByVal dwNewLong As Long) As Long

Public Const WM_USER = &H400
Public Const WIN_SPEAK_MSG = WM_USER + 12359
Public Const WIN_EXPORT_MSG = WM_USER + 12360

Public Const GWL_WNDPROC = -4

Public lpPrevWndProc As Long
Public gHW As Long
Public Parent As Form

Public bIsSpeaking As Boolean

Public Function WindowProc(ByVal hw As Long, ByVal uMsg As Long, _
                    ByVal wParam As Long, _
                    ByVal lParam As Long) As Long

 
    Select Case uMsg
        Case WIN_EXPORT_MSG
            MsgBox "Export Successful!"
        Case WIN_SPEAK_MSG
            Form1.Label1.Caption = "OnWord: Start Character: " & wParam & ", End Character: " & lParam
            If lParam = -1 Then bIsSpeaking = False
    End Select

    'Pass message on to the original window message handler
    WindowProc = CallWindowProc(lpPrevWndProc, hw, _
                                 uMsg, wParam, _
                                 lParam)

End Function
